commit:     71763e055bbcdf37d8b18c4795dd6afcf8983e85
Author:     Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
AuthorDate: Mon Jul 23 10:14:22 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Aug 14 20:45:34 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=71763e05

dev-python/pyzmq: Version bump to 17.1.0

Bug: https://bugs.gentoo.org/648088
Closes: https://github.com/gentoo/gentoo/pull/9284
Package-Manager: Portage-2.3.40, Repoman-2.3.9

 dev-python/pyzmq/Manifest                          |  1 +
 .../pyzmq/files/pyzmq-17.1.0-test_message.patch    | 22 +++++++
 dev-python/pyzmq/pyzmq-17.1.0.ebuild               | 68 ++++++++++++++++++++++
 3 files changed, 91 insertions(+)

diff --git a/dev-python/pyzmq/Manifest b/dev-python/pyzmq/Manifest
index 517f91d5166..050424800a2 100644
--- a/dev-python/pyzmq/Manifest
+++ b/dev-python/pyzmq/Manifest
@@ -1 +1,2 @@
 DIST pyzmq-16.0.2.tar.gz 1026531 BLAKE2B 
b276fea116d56595ff2aca8a00b2b8918c0170cf1522c4bb457f6bb0d44a13e63de18e4d4f53238a1a5b515986e029ffebdded269f191d62eb36d988b328b402
 SHA512 
40eaf8ce39db86ab3866890d74b92bd6f20d4ae827828a8772003656d899d10ffcfc222d21f344d9daba390824e6c43b9f34e31beb604ec5ee1ec199165f4b96
+DIST pyzmq-17.1.0.tar.gz 1082716 BLAKE2B 
eed059cad8cc37e9315d16a43768f531ada1274b46bdf91d2ebe83cd0b4c269ea99a8532e3db6d0ea68be31600cf7d29ea4c4e894aa6d04c61534b11fb816d54
 SHA512 
7f1975c4d02e7d47577049da8df84753905d01672d5a244cef2e5b05e0b6fdb22e88cbb36f2e59831e95a8224819183d9a82baf1f9d7f599da61bcbfe2fc23d3

diff --git a/dev-python/pyzmq/files/pyzmq-17.1.0-test_message.patch 
b/dev-python/pyzmq/files/pyzmq-17.1.0-test_message.patch
new file mode 100644
index 00000000000..66d0de75e38
--- /dev/null
+++ b/dev-python/pyzmq/files/pyzmq-17.1.0-test_message.patch
@@ -0,0 +1,22 @@
+Disable hanging test
+Bug: https://github.com/zeromq/pyzmq/issues/1202
+
+Patch by Marius Brehler <[email protected]>
+--- pyzmq-17.1.0/zmq/tests/test_message.py
++++ pyzmq-17.1.0/zmq/tests/test_message.py
+@@ -14,6 +14,7 @@ import time
+ from pprint import pprint
+ from unittest import TestCase
+ 
++import pytest
+ import zmq
+ from zmq.tests import BaseZMQTestCase, SkipTest, skip_pypy, PYPY
+ from zmq.utils.strtypes import unicode, bytes, b, u
+@@ -262,6 +263,7 @@ class TestFrame(BaseZMQTestCase):
+             self.assertEqual(s,r)
+         self.assertEqual(s, m.bytes)
+     
++    @pytest.mark.skip("test sometimes hangs")
+     def test_buffer_numpy(self):
+         """test non-copying numpy array messages"""
+         try:

diff --git a/dev-python/pyzmq/pyzmq-17.1.0.ebuild 
b/dev-python/pyzmq/pyzmq-17.1.0.ebuild
new file mode 100644
index 00000000000..cfedc1d359c
--- /dev/null
+++ b/dev-python/pyzmq/pyzmq-17.1.0.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit flag-o-matic distutils-r1 toolchain-funcs
+
+DESCRIPTION="Lightweight and super-fast messaging library built on top of the 
ZeroMQ library"
+HOMEPAGE="http://www.zeromq.org/bindings:python 
https://pypi.org/project/pyzmq/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux 
~ppc-macos ~x64-macos ~x86-macos"
+IUSE="doc test"
+
+RDEPEND="
+       >=net-libs/zeromq-4.2.2-r2:=[drafts]
+       dev-python/py[${PYTHON_USEDEP}]
+       dev-python/cffi:=[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep 'dev-python/gevent[${PYTHON_USEDEP}]' python2_7)
+"
+DEPEND="${RDEPEND}
+       dev-python/cython[${PYTHON_USEDEP}]
+       test? (
+               dev-python/pytest[${PYTHON_USEDEP}]
+               $(python_gen_cond_dep 'dev-python/unittest2[${PYTHON_USEDEP}]' 
-2)
+               >=www-servers/tornado-5.0.2[${PYTHON_USEDEP}]
+       )
+       doc? (
+               >=dev-python/sphinx-1.3[${PYTHON_USEDEP}]
+               dev-python/numpydoc[${PYTHON_USEDEP}]
+       )"
+
+PATCHES=( "${FILESDIR}"/${P}-test_message.patch )
+
+python_prepare_all() {
+       # Prevent un-needed download during build
+       sed -e "/'sphinx.ext.intersphinx',/d" -i docs/source/conf.py || die
+       distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+       tc-export CC
+       append-cppflags -DZMQ_BUILD_DRAFT_API=1
+}
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_compile() {
+       esetup.py cython --force
+       python_is_python3 || local -x CFLAGS="${CFLAGS} -fno-strict-aliasing"
+       distutils-r1_python_compile
+}
+
+python_test() {
+       ${EPYTHON} -m pytest -v "${BUILD_DIR}/lib" || die
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/build/html/. )
+       distutils-r1_python_install_all
+}

Reply via email to